Referencia
Clientes
Tu base de clientes: alta, consulta y actualización de datos.
GET
/api/v2/customersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
phone?string
Filter by phone
email?string
Filter by email
page?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/customers"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": "string", "phone": "string", "email": "string", "gender": 0, "dateOfBirth": "2019-08-24", "surname": "string", "firstName": "string", "externalUserId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "segments": [ { "id": 0, "type": 0, "name": "string" } ] } ]}POST
/api/v2/customersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/customers" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string", "phone": "string", "email": "string", "gender": 0, "dateOfBirth": "2019-08-24", "surname": "string", "firstName": "string", "externalUserId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "segments": [ { "id": 0, "type": 0, "name": "string" } ] }}GET
/api/v2/customers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/api/v2/customers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string", "phone": "string", "email": "string", "gender": 0, "dateOfBirth": "2019-08-24", "surname": "string", "firstName": "string", "externalUserId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "segments": [ { "id": 0, "type": 0, "name": "string" } ] }}PATCH
/api/v2/customers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/customers/string" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string", "phone": "string", "email": "string", "gender": 0, "dateOfBirth": "2019-08-24", "surname": "string", "firstName": "string", "externalUserId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "segments": [ { "id": 0, "type": 0, "name": "string" } ] }}DELETE
/api/v2/customers/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Response Body
application/json
curl -X DELETE "https://example.com/api/v2/customers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string" }}